﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Grid.Grouping

Namespace GridGroupingControl_Demo
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
			Me.gridGroupingControl1.ThemesEnabled = True
			Me.gridGroupingControl1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro
			AddHandler gridGroupingControl1.QueryCellStyleInfo, AddressOf gridGroupingControl1_QueryCellStyleInfo
		End Sub

		Private Sub gridGroupingControl1_QueryCellStyleInfo(ByVal sender As Object, ByVal e As GridTableCellStyleInfoEventArgs)
			If e.TableCellIdentity.RowIndex = 3 Then 'Specify your needed RowIndex
				e.Style.Font.Strikeout = True
			End If
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			Dim data As New DataTable()
			data.Columns.Add("Sample Test")
			data.Columns.Add("Data1")
			data.Columns.Add("Data2")
			data.Columns.Add("Data3")
			For i As Integer = 0 To 9
				Dim rand As New Random()
				data.Rows.Add("Sample data1", rand.Next(100), rand.Next(10), rand.Next(20))
			Next i
			Me.gridGroupingControl1.DataSource = data
		End Sub
	End Class
End Namespace
